ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package io
  Definition Classes
    adam
- FastqInputFormat
- FastqRecordReader
- InterleavedFastqInputFormat
- SingleFastqInputFormat

c

org.bdgenomics.adam.io

# FastqInputFormat 

###

#### abstract class FastqInputFormat extends FileInputFormat[Void, Text]

Licensed to Big Data Genomics (BDG) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The BDG licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Linear Supertypes
FileInputFormat[Void, Text], InputFormat[Void, Text], AnyRef, Any
Known Subclasses
InterleavedFastqInputFormat, SingleFastqInputFormat
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FastqInputFormat
2. FileInputFormat
3. InputFormat
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new FastqInputFormat()

### Abstract Value Members

1.  abstract def createRecordReader(arg0: InputSplit, arg1: TaskAttemptContext): RecordReader[Void, Text]
   Definition Classes
     InputFormat
   Annotations
     @throws( classOf[java.io.IOException] ) @throws( ... )

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addInputPathRecursively(arg0: List[FileStatus], arg1: FileSystem, arg2: Path, arg3: PathFilter): Unit
   Attributes
     protected[input]
   Definition Classes
     FileInputFormat
   Annotations
     @throws( classOf[java.io.IOException] )
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def computeSplitSize(arg0: Long, arg1: Long, arg2: Long): Long
   Attributes
     protected[input]
   Definition Classes
     FileInputFormat
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def getBlockIndex(arg0: Array[BlockLocation], arg1: Long): Int
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def getFormatMinSplitSize(): Long
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
13.  def getSplits(arg0: JobContext): List[InputSplit]
    Definition Classes
      FileInputFormat → InputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def isSplitable(context: JobContext, filename: Path): Boolean

    Checks to see if the file we are looking at is splittable.

    Checks to see if the file we are looking at is splittable.

    A file is splittable if it is:

    - Uncompressed. - Compressed with the BGZFEnhancedGzipCodec _and_ the underlying stream is a BGZF stream. BGZFEnhancedGzipCodec looks for files with a .gz extension, which means that the codec may be selected if the file is a non-block GZIPed file, and thus is non-splittable. To validate this, we use HTSJDKs in-built mechanism for checking if a stream is a BGZF stream. - Any other splittable codec (e.g., .bgz/BGZFCodec, .bz2/BZip2Codec)

    context

      The job context to get the configuration from.

    filename

      The path the input file is saved at.

    returns

      Returns false if this file is compressed.

    Attributes
      protected[io]
    Definition Classes
      FastqInputFormat → FileInputFormat
17.  def listStatus(arg0: JobContext): List[FileStatus]
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
18.  def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String], arg4: Array[String]): FileSplit
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
19.  def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String]): FileSplit
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from FileInputFormat[Void, Text]

### Inherited from InputFormat[Void, Text]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped